CVE-2016-2053

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The asn1_ber_decoder function in lib/asn1_decoder.c in the Linux kernel before 4.3 allows attackers to cause a denial of service (panic) via an ASN.1 BER file that lacks a public key, leading to mishandling by the public_key_verify_signature function in crypto/asymmetric_keys/public_key.c.

References

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0d62e9dd6da45bbf0f33a8617afc5fe774c8f45f

http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00044.html

http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00052.html

http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00054.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00000.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00003.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00007.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00008.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00009.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00014.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00015.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00016.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00017.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00018.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00019.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00020.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00021.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00022.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00023.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00026.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00044.html

http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00055.html

http://rhn.redhat.com/errata/RHSA-2016-2574.html

http://rhn.redhat.com/errata/RHSA-2016-2584.html

http://www.openwall.com/lists/oss-security/2016/01/25/4

http://www.securitytracker.com/id/1036763

https://bugzilla.redhat.com/show_bug.cgi?id=1300237

https://github.com/torvalds/linux/commit/0d62e9dd6da45bbf0f33a8617afc5fe774c8f45f

Details

Source: MITRE

Published: 2016-05-02

Updated: 2018-08-30

Type: CWE-310

Risk Information

CVSS v2

Base Score: 4.7

Vector: AV:L/AC:M/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.4

Severity: MEDIUM

CVSS v3

Base Score: 4.7

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*

Tenable Plugins

View all (27 total)

IDNameProductFamilySeverity
124979EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1526)NessusHuawei Local Security Checks
high
124815EulerOS Virtualization 3.0.1.0 : kernel (EulerOS-SA-2019-1491)NessusHuawei Local Security Checks
critical
99163OracleVM 3.3 : Unbreakable / etc (OVMSA-2017-0057) (Dirty COW)NessusOracleVM Local Security Checks
critical
97984Virtuozzo 7 : readykernel-patch (VZA-2017-017)NessusVirtuozzo Local Security Checks
high
95841Scientific Linux Security Update : kernel on SL7.x x86_64 (20161103)NessusScientific Linux Local Security Checks
critical
95321CentOS 7 : kernel (CESA-2016:2574)NessusCentOS Local Security Checks
critical
95046OracleVM 3.3 : Unbreakable / etc (OVMSA-2016-0163)NessusOracleVM Local Security Checks
high
95045OracleVM 3.4 : Unbreakable / etc (OVMSA-2016-0162)NessusOracleVM Local Security Checks
high
95043Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2016-3645)NessusOracle Linux Local Security Checks
high
95042Oracle Linux 6 / 7 : Unbreakable Enterprise kernel (ELSA-2016-3644)NessusOracle Linux Local Security Checks
high
94697Oracle Linux 7 : kernel (ELSA-2016-2574)NessusOracle Linux Local Security Checks
critical
94547RHEL 7 : kernel-rt (RHSA-2016:2584)NessusRed Hat Local Security Checks
critical
94537RHEL 7 : kernel (RHSA-2016:2574)NessusRed Hat Local Security Checks
critical
93370SUSE SLES11 Security Update : kernel (SUSE-SU-2016:2245-1)NessusSuSE Local Security Checks
critical
93299SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2016:2105-1)NessusSuSE Local Security Checks
high
93283SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2014-1)NessusSuSE Local Security Checks
high
93280SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2010-1)NessusSuSE Local Security Checks
high
93278SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2006-1)NessusSuSE Local Security Checks
high
93277SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2005-1)NessusSuSE Local Security Checks
high
93276SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2002-1)NessusSuSE Local Security Checks
high
93275SUSE SLES12 Security Update : kernel (SUSE-SU-2016:2001-1)NessusSuSE Local Security Checks
high
93270SUSE SLES12 Security Update : kernel (SUSE-SU-2016:1995-1)NessusSuSE Local Security Checks
high
93216openSUSE Security Update : the Linux Kernel (openSUSE-2016-1029)NessusSuSE Local Security Checks
high
93165SUSE SLED12 / SLES12 Security Update : kernel (SUSE-SU-2016:1690-1)NessusSuSE Local Security Checks
high
93164SUSE SLES11 Security Update : kernel (SUSE-SU-2016:1672-1)NessusSuSE Local Security Checks
high
93104openSUSE Security Update : the Linux Kernel (openSUSE-2016-1015)NessusSuSE Local Security Checks
critical
91736openSUSE Security Update : the Linux Kernel (openSUSE-2016-753)NessusSuSE Local Security Checks
critical